summaryrefslogtreecommitdiffstats
path: root/network/chromium/chromium.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/chromium/chromium.SlackBuild')
-rw-r--r--network/chromium/chromium.SlackBuild43
1 files changed, 25 insertions, 18 deletions
diff --git a/network/chromium/chromium.SlackBuild b/network/chromium/chromium.SlackBuild
index 286e40dae2..8d0fed5fcc 100644
--- a/network/chromium/chromium.SlackBuild
+++ b/network/chromium/chromium.SlackBuild
@@ -8,6 +8,11 @@
# A special thanks to Niels Horn who helped me fixing some errors on
# the script and for testing it.
#
+# A very special thanks to Gino Bombino (ginolovesyou AT gmail DOT com), who
+# contributed with the parameters to disable the need for gnome dependencies
+# and PAM, allowing the script to be cleaner and more elegant (no need for a
+# a patch to disable PAM).
+#
# Copyright 2010 Yucatan "Kenjiro" Costa, Alegrete, RS, Brasil
# All rights reserved.
#
@@ -29,7 +34,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=chromium
-VERSION=${VERSION:-9.0.597.107}
+VERSION=${VERSION:-11.0.696.60}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -61,15 +66,15 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM
+rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
-chown -R root:root .
+chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
@@ -77,36 +82,38 @@ find . \
-exec chmod 644 {} \;
# Configure it before compiling
-
-#
# Change "-Dproprietary_codecs" to "0" if you don't want to use proprietary codecs
#
-build/gyp_chromium -f make build/all.gyp --depth=. \
- -Dgcc_version=44 \
+build/gyp_chromium --depth=. \
+ -Dgcc_version=45 \
+ -Duse_gconf=0 \
+ -Duse_gnome_keyring=0 \
+ -Dlinux_link_gnome_keyring=0 \
+ -Dremove_webcore_debug_symbols=1 \
+ -Dremoting=0 \
+ -Dchromeos=0 \
+ -Dwerror=0 \
-Dno_strict_aliasing=1 \
-Dwerror= \
- -Dlinux_sandbox_path=/usr/lib${LIBDIRSUFFIX}/chromium/chromium-sandbox \
+ -Dlinux_sandbox_path=/usr/lib${LIBDIRSUFFIX}/chromium/chrome_sandbox \
-Dlinux_strip_binary=1 \
- -Dffmpeg_branding=Chrome \
-Dproprietary_codecs=1 \
-Duse_system_libjpeg=1 \
- -Duse_system_libxslt=0 \
- -Duse_system_libxml=0 \
+ -Duse_system_libxslt=1 \
+ -Duse_system_libxml=1 \
-Duse_system_bzip2=1 \
-Duse_system_zlib=1 \
- -Duse_system_libpng=1 \
- -Duse_system_ffmpeg=0 \
+ -Duse_system_libpng=0 \
-Duse_system_yasm=1 \
-Duse_system_libevent=1 \
-Ddisable_sse2=${NO_SSE2:-0} \
+ -Dffmpeg_branding=Chrome \
+ -Duse_system_ffmpeg=0 \
-Duse_system_ssl=0
+
# Compiling...
-# ATTENTION ==> the "-fno-ipa-cp" flag is only needed if you intend to build chromium
-# on slackware(64)-current (or if you have gcc-4.5.x installed. On slackware(64)-13.1
-# it is not needed
-#
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS -fno-ipa-cp" \
make chrome chrome_sandbox BUILDTYPE=Release || exit 1